/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tools.idea.uibuilder.handlers.motion.editor.adapters;

import com.intellij.openapi.ui.ComboBox;
import com.intellij.ui.components.JBScrollPane;
import java.awt.Component;
import javax.swing.ComboBoxEditor;
import javax.swing.JComponent;

/**
 * Abstraction of a JScrollPane/JBScrollPane
 */
public class MEComboBox<T> extends ComboBox<T> {
    MEComboBox(T[] x){
      super(x);
    }

  @Override
  public void updateUI() {
    super.updateUI();
    ComboBoxEditor compEditor = getEditor();
    if (compEditor != null) {
      ((JComponent)(compEditor.getEditorComponent())).updateUI();
    }
  }
}
